Make it possible to cut and copy focusable nodes using the browser context menu
Closed, ResolvedPublic8 Story Points

Description

It should be possible to cut and copy a focusable node like an image or template from the browser's right-click context menu. The actual availability of these options varies between browsers.

BrowserCopy from right-click?Cut from right click?
Firefox 37.0.2YesNo
IE 11YesNo (non-functional)
Chrome 42.0.2311.135NoNo
Safari 8.0.6NoNo
Opera 30NoNo

ORIGINAL DESCRIPTION:
ref [1] can be selected, copied ctrl+c and pasted ctrl+v
If right-click on the ref [1] then in the context menu, you will see a "copy image"
and you can not insert a ref by right-clicking and context menus
I know people who use the copy and paste only through the right-click and do not use the keyboard shortcut even if I remind them of this possibility. If possible, please do so that in the context menu for the reference were normal "copy", "paste" and "cut". Also templates, formulas, media...

Sunpriat created this task.May 8 2015, 9:59 AM
Sunpriat updated the task description. (Show Details)
Sunpriat raised the priority of this task from to Needs Triage.
Sunpriat added a project: VisualEditor.
Sunpriat added a subscriber: Sunpriat.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2015, 9:59 AM
Sunpriat renamed this task from VE proposal: normal "copy" in the context menu for notes to VE proposal: normal "copy" in the context menu for elements.May 8 2015, 10:08 AM
Sunpriat updated the task description. (Show Details)
Sunpriat set Security to None.

Actually, it is possible to copy items like references and images from the browser's context menus.

However, you raise a good point because there are still two issues with this behavior:

  1. It's not possible to cut from the context menu.
  2. The "copy image" option does nothing, so it distracts users from the real, useful copy option.

I'm going to turn this task into issue 1, and create a separate task for issue 2.

Neil_P._Quinn_WMF renamed this task from VE proposal: normal "copy" in the context menu for elements to Make focusable nodes cuttable from the browser context menu.May 8 2015, 11:07 PM
Neil_P._Quinn_WMF updated the task description. (Show Details)
Neil_P._Quinn_WMF triaged this task as Low priority.
Sunpriat added a comment.EditedMay 8 2015, 11:23 PM

@Neil_P._Quinn_WMF chrome, opera do not have such a large context menu. In IE context menu "copy" does not work.

Neil_P._Quinn_WMF added a comment.EditedMay 8 2015, 11:42 PM

@Sunpriat, okay, thank you! Which versions of those browsers are you using? Which options do they have: cut, copy, both, or neither? When you say copy doesn't work in IE, do you mean the option is in the menu but it doesn't work, or it's not even in the menu at all? I'm going to make a table in the description.

Neil_P._Quinn_WMF renamed this task from Make focusable nodes cuttable from the browser context menu to Make it possible to cut and copy focusable nodes using the browser context menu.May 8 2015, 11:54 PM
Neil_P._Quinn_WMF updated the task description. (Show Details)

Opera 30: Non-functional "Copy image", no "Copy", no "Cut".

IE 11 (on Windows 7): Non-functional "Save image", functional "Copy", non-functional "Cut".

matmarex updated the task description. (Show Details)May 9 2015, 3:50 PM

"IE 11 (on Windows 7): functional "Copy"" - then, when I click "Paste", page blinks and a ref does not appear.

@matmarex, FYI, I created T98650 for the non-functional "copy image" options that appear in most browsers.

Change 209970 had a related patch set uploaded (by Esanders):
Allow right click copy on focusable nodes

https://gerrit.wikimedia.org/r/209970

neilpquinn edited a custom field.
neilpquinn raised the priority of this task from Low to Normal.
Elitre added a subscriber: Elitre.May 27 2015, 6:37 PM
Jdforrester-WMF closed this task as Resolved.Jun 3 2015, 5:52 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF moved this task from Doing to Done on the VisualEditor 2014/15 Q4 blockers board.

Change 209970 merged by jenkins-bot:
Allow right click copy on focusable nodes

https://gerrit.wikimedia.org/r/209970